package models

type WechatComponents struct {
	ID                    int64  `gorm:"column:id" json:"id" form:"id"`
	ComponentAppid        string `gorm:"column:component_appid" json:"component_appid" form:"component_appid"`
	ComponentAppsecret    string `gorm:"column:component_appsecret" json:"component_appsecret" form:"component_appsecret"`
	ComponentVerifyTicket string `gorm:"column:component_verify_ticket" json:"component_verify_ticket" form:"component_verify_ticket"`
	ComponentAccessToken  string `gorm:"column:component_access_token" json:"component_access_token" form:"component_access_token"`
	PreAuthCode           string `gorm:"column:pre_auth_code" json:"pre_auth_code" form:"pre_auth_code"`
	CreatedTime           int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ComponentStatus       int64  `gorm:"column:component_status" json:"component_status" form:"component_status"`
}

func (WechatComponents) TableName() string {
	return "sgj_patient_wechat_components"
}

type PatientAuthorizations struct {
	ID                          int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	AuthorizerAppid             string `gorm:"column:authorizer_appid" json:"authorizer_appid" form:"authorizer_appid"`
	AuthorizerAccessToken       string `gorm:"column:authorizer_access_token" json:"authorizer_access_token" form:"authorizer_access_token"`
	AuthorizerRefreshToken      string `gorm:"column:authorizer_refresh_token" json:"authorizer_refresh_token" form:"authorizer_refresh_token"`
	AuthorizerJsapiTicket       string `gorm:"column:authorizer_jsapi_ticket" json:"authorizer_jsapi_ticket" form:"authorizer_jsapi_ticket"`
	AuthorizerFuncscopeCategory string `gorm:"column:authorizer_funcscope_category" json:"authorizer_funcscope_category" form:"authorizer_funcscope_category"`
	AuthorizerNickName          string `gorm:"column:authorizer_nick_name" json:"authorizer_nick_name" form:"authorizer_nick_name"`
	AuthorizerHeadImg           string `gorm:"column:authorizer_head_img" json:"authorizer_head_img" form:"authorizer_head_img"`
	AuthorizerServiceTypeInfo   int64  `gorm:"column:authorizer_service_type_info" json:"authorizer_service_type_info" form:"authorizer_service_type_info"`
	AuthorizerVerifyTypeInfo    int64  `gorm:"column:authorizer_verify_type_info" json:"authorizer_verify_type_info" form:"authorizer_verify_type_info"`
	AuthorizerUserName          string `gorm:"column:authorizer_user_name" json:"authorizer_user_name" form:"authorizer_user_name"`
	AuthorizerPrincipalName     string `gorm:"column:authorizer_principal_name" json:"authorizer_principal_name" form:"authorizer_principal_name"`
	AuthorizerBusinessInfo      string `gorm:"column:authorizer_business_info" json:"authorizer_business_info" form:"authorizer_business_info"`
	AuthorizerQrcodeUrl         string `gorm:"column:authorizer_qrcode_url" json:"authorizer_qrcode_url" form:"authorizer_qrcode_url"`
	CreatedTime                 int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                 int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AuthorizerStatus            int64  `gorm:"column:authorizer_status" json:"authorizer_status" form:"authorizer_status"`
}

func (PatientAuthorizations) TableName() string {
	return "sgj_patient_authorizations"
}

type AuthorizationMessageManagements struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	MessageMsgEvent    string `gorm:"column:message_msg_event" json:"message_msg_event" form:"message_msg_event"`
	MessageMsgType     string `gorm:"column:message_msg_type" json:"message_msg_type" form:"message_msg_type"`
	MessageKeyType     int64  `gorm:"column:message_key_type" json:"message_key_type" form:"message_key_type"`
	MessageRegularName string `gorm:"column:message_regular_name" json:"message_regular_name" form:"message_regular_name"`
	MessageKeyName     string `gorm:"column:message_key_name" json:"message_key_name" form:"message_key_name"`
	MessageContent     string `gorm:"column:message_content" json:"message_content" form:"message_content"`
	CreatedTime        int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	MessageStatus      int64  `gorm:"column:message_status" json:"message_status" form:"message_status"`
}

func (AuthorizationMessageManagements) TableName() string {
	return "sgj_patient_authorization_message_managements"
}

type AuthorizationButtons struct {
	ID           int64  `gorm:"column:id" json:"id"`
	UserOrgID    int64  `gorm:"column:user_org_id" json:"user_org_id"`
	ButtonFileds string `gorm:"column:button_fileds" json:"button_fileds"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time"`
	ButtonStatus int64  `gorm:"column:button_status" json:"button_status"`
	SendStatus   int64  `gorm:"column:send_status" json:"send_status"`
}

func (AuthorizationButtons) TableName() string {
	return "sgj_patient_authorization_buttons"
}
